label survival_begins:

    $ coffee_alarm = False
    $ revolver = "lost"
    $ mason_trust = "have"
    $ apartment_followed = False
    $ communications_relay = "unknown"

    "It's been several days since the initial catastrophe befell the city, but despite the initial assertion that help would soon be on the way to destroy whatever creatures were out there and save them it began to look less and less like that would be the case."

    "With a dozen people in the bomb shelter and only the supplies of the coffee shop to go around it wasn't long before food began to run low and tempers began to run high."

    "You see people begin to lose hope that they might ever get rescued, with had been their only solace up until that point."

    if group_leader == "player":

        "You've been trying to keep people as calm as possible but know that if something doesn't give soon your water supply would be completely exhausted, which would leave everyone in a dangerous situation."

        "People come to you and talk about what to do, one in particular being a gruff man who calls himself Mason and had mentioned before he was one of the security personnel for a major corporation on the island."

    else:

        "As you sit and wait for help to arrive you suddenly notice that Mason was starting to approach you.  Ever since he took control of the situation he has attempted to keep people calm, often with at least some result."

        "This time however it appears that he's coming to you for something else entirely as he pulls up a bucket of coffee beans and sits down across from you."

    "Mason"  "Listen [pov], I think it's clear to see that these accommodations are not going to last much longer."

    "Mason"  "What we need are fresh supplies and a new hideaway, something with a little more space to ride this thing out in the long term."

    "Mason"  "Now I happen to still have my security credentials to get into the building I guard, and this is a major skyscraper that we're talking about here with state of the art defense and alarm mechanisms."

    if group_leader == "player":

        "Mason" "Now I've seen how these people look up to you, if we can get to the skyscraper and secure it this group might just follow you and we can save all of their lives."

    "You sigh and look at the group, then back at Mason as you ask if he had any sort of plan on what to do."

    "Mason" "Well Don over there has agreed to come with me."

    "Mason" "He says that his apartment isn't too far from here and that he has some supplies that can help us make the journey.  What we need though is someone that knows this island and I thought I overheard you say that you were a [character_class] here."

    "Mason" "Together I think the three of us know the island well enough to get to where we need to go."

    "Mason looks at you with those steely eyes of his, gazing into your very soul."

    "Mason" "So what do you say, you in?"

    menu:

        "Alright, let's do this":
            jump journey_to_don

        "No way!":
            jump octopus_jar  #this is a bad end, go to badends

label journey_to_don:

    $ don_status = "party"

    "You decide what Mason says made a lot of sense to you, especially with the supplies being low and the fact that the fallout shelter was not built for long term habitability.  You agree to go with him and the man gives you a big smile and a pat on the shoulder."

    "Once everything is said and done you meet up with your third partner Don and announce to the rest of the group that you are heading out to try and find better shelter."

    "Though some are unsure of the sanity of such a mission they are grateful that someone has stepped up to explore."

    "After you each pack up a day's worth of food and water you arrange a special signal with the survivors in the vault so that they know it's you or someone that you sent back to get help, deciding on the tried and true SOS."

    "Once everything was arranged you stand at the metal door and open it, breaking the seal for the first time in days.  When you step outside you see a trail of dried black on the stairwell, which when you examine feels like dried liquid latex."

    "The three of you look at each other and then make your way up the stairs to the back of the shop, where the emergency entrance and the door to the coffee shop itself waits for you."

    menu:

        "Go into the coffee shop":
            jump remaining_grounds

        "Go out the emergency exit":
            jump coffee_alarm

label remaining_grounds:

    "You slowly walk up to the coffee shop door and push it open, all three pressed their heads to see outside of the crack.  When it appeared that the coast was clear you push it the rest of the way, requiring some strength in order for you to push it open."

    " When you finally get into the shop itself you and the other two are amazed at the destruction you find."

    "Don"  "Unbelievable..."

    "If you didn't know better you would have thought a bomb had gone off in the shop; tables and chairs were either smashed or broken and the floor was littered with debris and glass."

    "The windows that had separated the shop from the street were all busted out as well and even the displays had been broken.  On the wall the TV hung from its cord, dangling on the wall with its busted screen displaying nothing."

    "Most disturbing though are the trails of rubber everywhere, flashing back to when those creatures first attacked everyone."

    "Once you have a second to survey the destruction you hear Mason saying that they should stay and look for possible supplies to aid them, while Don believes that they should keep moving to his apartment where he knows there are things that can be used for your journey."

    "With their vote tied they look to you for the tie-breaking decision."

    menu:

        "Search the coffee shop":
            jump finding_coffee_supplies

        "Continue to Don's Apartment":
            jump onward_to_dons

label coffee_alarm:

    "You decide that the coffee shop itself might be lurking with those creatures and decide to go through the emergency exit in the back."

    "As you push on the door it opens easily, however you realize too late that the door was armed with an alarm, which went off as soon as it opens a crack.  The ringing is deafening as you close the door to stop it, only for the alarm to continue on."

    " You quickly realize that this will likely bring in any monster within earshot to your location, so you have to choose quickly whether to push through into the alleys or retreat through the shop and into the street."

    $ coffee_alarm = True

    menu:

        "Weave through the alleyways":
            jump into_the_alley

        "Try to double back through the coffee shop":
            jump downed_in_the_streets # this is a bad end, go to badends

label finding_coffee_supplies:

    "You decide it would be best to see if there is anything that you can use that might be of help.  Mason and Don nod and they look around the main serving area while you try and see if there's anything that you can salvage from the coffee shop, turning stuff over in the process."

    "While the other two take to the serving area you move over to the register area and see if there's anything to salvage there."

    "When you look around you find the display case to be completely smashed in and the registers empty, though you are unsure whether its the work of monsters or looters that passed by."

    "Either way it looked like they quickly took anything of value and ran.  A cursory glance in the drawers reveals nothing but coffee supplies and other miscellaneous items that aren't worth your time."

    "To your suprise the coffee machines are not only still intact but operational and when you push on the coffee dispenser you find it's still relatively fresh, probably getting brewed upon dispensing."

    if character_class == "merchant" or character_class == "criminal":

        "Just as you are about to give up on the idea of trying to find something you realize that there was one thing that you almost overlooked, the fact that stores like these usually have a small safe that they use in order to keep their money until the end of the night..."

    menu:

        "Head to Don's apartment":
            jump onward_to_dons

        "Grab a cup of coffee":
            jump morning_joe # this is a bad end, go to badends

        "Attempt to find the safe" if character_class == "merchant" or character_class == "criminal":
            jump coffee_shop_safe

label coffee_shop_safe:

    "With a little effort you manage to find the safe, a standard shelf safe that was mostly used to prevent sticky fingers."

    "With a little effort you are able to open it but since the attack happened early in the morning you don't find any money or other valuables.  There are a few papers like the license to sell food, a few vouchers, and..."

    "[pov]" "Whoa..."

    "You pull out the revolver and look at it, the weight of the gun heavy in your hand.  It has six chambers and they're all loaded, checking it quickly before putting it in your pocket."

    "The others seemed to notice your find and though Mason suggests that with his training it would be better suited for him he relents to let you keep it."

    "You feel the cool metal pressed against your skin before covering it up with your shirt, then decide to head outside the coffee shop to the world beyond."

    $ revolver = "found"

    jump onward_to_dons

label onward_to_dons:

    "Once you make it outside the coffee shop you take a second to stop and survey the destruction around you.  It looked like a scene from a disaster movie, cars were crashed into the sides of the road as signs and other street fixtures were knocked over on the ground."

    "The most eerie thing however was the silence; normally one could go their whole day in Kajira and never hear it, but now it surrounded them like a fog as you move forward."

    "Though it appeared whatever was in the rain that caused everything to happen in the first place left no residue there was puddles of dried latex everywhere."

    "As you start to walk down the street with the other two you suddenly have to duck behind a car when you see it.  You can feel your jaw drop and you see the eyes of your companions widen as the latex creature looks around."

    "The creature was easily two heads taller than any of your group and densely packed with muscle.  Though it walked on two legs it had a gate and a hunched back like a feral creature as it sniffed the air."

    "You have a bad feeling if you stay where you are you will likely be caught, but with it and the possibility of more out there the streets might not be the safest route."

    "The only other route would be the alleys, but they are somewhat a maze and feature a lot of blind corners and less hiding spots."

    menu:

        "Cut through the alleys":
            jump into_the_alley

        "Stick to the street":
            jump sidewalk_shopper

label into_the_alley:

    if coffee_alarm:

        "You and the other two dart out of the shop as quickly as you can, frantically looking around as you push forward."

        "Thankfully the alley seems deserted and after a few twists and turns it goes quiet once more... though Whether it's due to the alarm shutting itself down or something else you're not sure, you just know you have to keep going."

    "When you get into the maze of alleys that are behind the various shops everything around you is quiet, the only sounds being the soles of your shoes as you quickly make your way to Don's apartment building."

    "The alleys seem relatively untouched, aside from the occasional dried puddle of rubber on the ground and lack of people you would suspect that nothing had happened there in the first place."

    "You quickly cover the distance between the shelter and Don's place and hope that it isn't crawling with creatures."

    "Perhaps the military or whatever else had already swept through and gotten them all, you think to yourself as you turn into a large open junction shared by several buildings."

    "That thought was immediately dashed as you stop dead in your tracks when you see the rubber creature in the space."

    "It was unlike anything you had ever seen before, the giant rubber snake had the torso of a human, though the taunt chest muscles and lithe arms were also covered with a layer of shiny black rubber that also had a scale pattern on certain places."

    "When it got up to it's head it went back to being serpentine in nature, the thin rubber tongue flicking lazily out of its muzzle as it's body was coiled around one of the poles in the area."

    "Just as you were about to double back however it seems to quickly rear up and look around, it's eyes about to lay upon you as you try to decide what to do."

    menu:

        "Find a place to hide":
            jump cat_and_mouse

        "Make a run for it":
            jump sprint_to_the_finish

        "Join the naga" if corrupted_species == "snake":
            jump serpentine_snuggle #this is a bad end, go to badends

label cat_and_mouse:

    "As the creature sniffs around you and the other two hide in a stairwell that led to the delivery door of another business.  After a quick attempt to see if the door was locked, which it was, you turn back towards the problem at hand."

    "At the moment the naga didn't seem to be fully aware of your presence, merely that someone might be or have been in the general area.  As much as you want to wait and hope he goes back to sleep you're not sure if he'd eventually search the area, which meant you had to act now."

    "When you watch the naga move and sway it seemed to do so in a particular pattern, one that might be exploited for you to sneak past."

    "Otherwise you could alway try and toss something in order to divert its attention long enough to get away, or you could always just go for broke and try to run past the creature and go for the door while it was sitll stunned."

    if revolver:

        "Then again as you feel the weight of the gun in your pocket you could always just try and take it out, though the sound of the gunshots meant you would need to make a hasty retreat afterwards."

    "You have to duck once more to avoid its gaze as it continued to slowly unfurl itself, which meant that you needed to act soon before it found your hiding space."

    menu:

        "Study its pattern and try to sneak past":
            jump hide_and_seek

        "Do something to lure the creature away":
            jump bait_and_switch

        "Run past the creature":
            jump sprint_to_the_finish

        "Shoot the creature" if revolver == "found":
            jump fatal_mistake #this is a bad end, go to badends

label hide_and_seek:

    if character_class == "researcher":

        "You carefully watch everything the creature does, from the sway of his head to the movement of his coils, until you can safely determine its movements.  Once you are sure of its pattern you wait for the opportune time to move to the next obstacle."

        "The three of you move like an organized ballet between your group and the rubber naga as it moves in its predictable pattern and allows you certain windows."

        "Eventually you are able to get to the other side and into the next alley, the one which had the back entrance to Don's apartment."

        jump dons_apartment

    else:

        "You try and get a feel for the movements of the creature, but it seems to have an erratic pattern to it that you can't quite place.  Nevertheless you try your hardest to get it down enough that you and the rest of the group are able to move."

        "The first few attempts work alright but as soon as you move out from behind the dumpster the naga makes a twisted turn you didn't expect."

        "It looks at you with those reptilian eyes as its body began to uncoil itself, but with the apartment complex right there you might just make it."

        menu:

            "Make a run for it":
                jump sprint_to_the_finish

            "Split up and draw off the creature":
                jump alley_self_sacrifice

label bait_and_switch:

    if character_class == "performer":

        "You find an empty bottle in the alleyway and once you're sure the creature is no longer looking in your general direction you heave the bottle towards the entrance to an alley on the opposite of the area."

        "The glass sails through the air over the naga's head without its knowledge before it crashes on the other side of the dumpster."

        "Mason and Don both give you a nod of congratulations as the rubber creature lets out a hiss and quickly slithers into the other alley.  As soon as it leaves the area the three of you silently run by it and into the area that leads to Don's apartment."

        "Mason" "That was a great throw [pov], you may have just saved our bacon."

        "Despite having passed the initial danger everyone still made sure to be on guard as Don unlocks the door and lets you and Mason inside."

        jump dons_apartment

    else:

        "You manage to find an empty bottle in the bottom of the stairwell and after a quick peek you try to throw it over the head of the naga into an alley that opposite you."

        "As you lob the glass into the air you accidently whiff the direction and it ends up smashing into the pole that the naga was currently wrapped around."

        "It looks up startled before ducking down as the glass rains down on it, then quickly snaps his head up in your direction.  You are so disgruntled that you accidently hit the pole you don't duck down in time and the giant latex snake creature lets out an angry hiss at you!"

        menu:

            "Make a run for it":
                jump sprint_to_the_finish

            "Lead the monster off":
                jump self_sacrifice

label alley_self_sacrifice:

    "While there was the chance that all of you could make it, you knew that it would be far better if one served as the distraction while the other two ran for it."

    "You give a nod the others before you dart up before they can say anything, waving your arms and getting the creature's attention."

    "The rubber naga immediately perks up and looks straight at you, which gives you the cue to book it in the opposite direction of the apartment.  As soon as you do it begins to give chase and its body was deceptively fast as it slithers up right behind you before striking."

    "The first thing you feel is the pair of arms around your waist as it brings your sprint to a stop, then after that come the coils.  As soon as those rubber scales touch your body you begin to feel the thick, sticky substance transfer onto your skin."

    "The clothes didn't protect at all as the corruptive ooze seems to absorb them into it before it continued to assimilate your flesh."

    "The naga hugged your body against his and pressed its head against yours to continue the transfer as you feel tendrils of rubber push around your sides and shoulders to your chest and over your head."

    "As the last of the rubber covers your body you are overwhelmed with a strange feeling of peace and serenity, one that you were not expecting to happen."

    "Your latex-covered face lets out a sigh of contentment before your lips seal together and leave you a featureless shiny version of yourself."

    "The last thing you think of before you feel yourself fade out is that the naga appears to be moving you somewhere..."

    jump corruption_start #this moves into the corruption storyline

label serpentine_snuggle:

    "You feel your tongue run over your cracked lips as you marvel at the beauty of such a creatures, it's rubber-scaled coils oozing with power as you slowly walk towards it."

    "As soon as the creature realized you were there it arched back with a loud hiss and looked like it was about to attack, only to stop and gaze at you curiously when you don't cower back."

    "It seems to sense your willingness to join it and slowly slithers forward, eyeing you up with it's reptilian gaze."

    "As it begins to circle you see out of the corner of your eye the other two make a break for it while you were engaged with the naga, which is fine by you as it's coils begin to wrap around your body."

    "Naga" "You're an eager one."

    "The naga gives you a grin, which grew wider at your shocked look."

    "Naga" "Suprised we can talk?  I don't blame you, though after I'm done with you you'll know I can do far more than just speak."

    "You're not sure what the rubber male meant by that but it soon became clear when it began to strip you of your clothes, leaving you naked in it's embrace.  The feel of rubber against your skin was amazing as began to position you in it's coils."

    "If there had been any doubt in your mind about your choice it was well past the point of no return, especially when you felt something begin to push into your hole."

    "You gasp loudly as you feel one of the naga's digits slide into you, lubed by the thick latex goo that oozed out of its mouth."

    "As it prepared you for something bigger it slid its body around and kissed you deep, its forked tongue tickling the inside of your mouth as you tasted the latex that filled it."

    "When it was done penetrating you from both ends the naga hissed in delight once it had broken the embrace."

    "Naga" "It's so much better when you go willingly."

    "It grinned as you felt the rubber begin to completely coat your mouth and spread over your lips."

    "Naga" "You are going to make a fine naga indeed..."

    jump transformed_naga  #this is a conversion ending, go to corruption

label sidewalk_shopper:

    "As you make your way down the street towards Don's apartment you realize that you're going to make good time, even with having to climb over the debris on the sidewalk.  As you continue to move forward however you suddenly feel a hand pull you and Don down."

    "You find yourself pressed against a parked car as Mason tells you both to hush, then proceeds to point out what caused him to do it in the first place.  In the nearby park there were several of those rubber creatures that you had seen when it all started in the first place."

    "Unlike the frantic spree they were in before these seemed almost peaceful, though you're pretty sure that if they caught wind of your location they'd return to that state instantly."

    if character_class == "researcher":

        "Part of you wishes you could study them right now, though being that exposed would mean that it was likely it would be the last thing you ever researched."

    elif character_class == "merchant":

        "You wonder what could have possibly caused such a thing to exist, though your first thought was likely some sort of corporate experiment that went haywire all in the name to make a few bucks."

    else:

        "Regardless you knew that you had to somehow get by them to get into the apartment."

    "You look around for anything that might help you get around them and you see that there are several potential points you could take.  The first is that you're so close to the apartment complex you might be able to make a run for it and get there before they do."

    "The second was to just continue down the sidewalk as slowly as possible and hope they don't see you.  The third that is pointed out to you by Mason is that there were a few cars that led up to a parked bus, it brought you closer to the park but then you had cover on both sides."

    menu:

        "Make a run for it":
            jump sprint_to_the_finish

        "Take it slow and steady":
            jump alley_ambush #this is a bad emnding, go to badends

        "Use the cars for cover":
            jump duck_and_cover

label duck_and_cover:

    "You quickly make your way up to the maze of cars that seem to litter the streets, the glass of their busted out windows crunching slightly under your feet as you move."

    "While you do make some noise it appears that the creatures seem to be preoccupied with other things that allow you to remain undetected."

    "When you get up close you realize why as you realize the rubber lizardmen in the park were in the middle of a full-blown orgy.  Strangely they all seem to be male as the three of you manage to sneak your way up into the bus, which is a straight shot to Don's apartment."

    "Mason" "Last bit of distance..."

    "He goes up to the front of the bus and attempts to ignore the pool of rubber on the driver's seat."

    "Mason" "Just say the word and we're ready to go."

    menu:

        "Head into Don's Apartment":
            jump dons_apartment

        "Join the latex lizardmen" if corrupted_species == "lizard":
            jump lizard_street_orgy

label lizard_street_orgy:

    "As you continue to watch the lizardman have open, very vigorous sex in the middle of the park you can feel your own mouth begin to water.  Now without the shock of them coming through the window you realize that they're actually... quite handsome."

    "Mason tried to tell you something but your sole focus is on those lustful lizardmen as you feel your pants begin to tend.  By this point both of the other men are trying to shout at you while remaining quiet but you're already walking out of the bus and towards the park."

    "As you weave your way through the cars you glance back and see the look of disbelief on the other two men's faces, but you ignore them completely now and make your way up the stairs to the middle of the park."

    "Before you even get in through the gate you see them stop their rubbery rutting and stare straight up at you."

    "None of them move aside from removing their dicks from the holes of their various partners as they watch you walk in, making you walk the entire trek towards them."

    "When you get to the pavillion with the fountain one of them walks up to you and gives you the once over before he smirks."

    "Lizardman" "Another one that joins willingly,"

    "The lizardman hissed, which surprised you slightly to hear him talk as your reaction caused the others to chuckle."

    "Lizardman" "You humans, always so predictable."

    "Another Lizardman" "Do we bring him to the boss?"

    "Lizardman" "Later."

    "The first lizardman runs a claw under your chin."

    "Lizardman" "First I want to make sure this one is really ready to join.  Strip your clothes, I want to see your naked body as we take you."

    "The tone of the lizardman's request made it seem less so as you quickly strip down to nothing, feeling yourself flush slightly in embarrassment as they snicker at your already hard erection."

    "You nearly jump however when he grabs it and begins to stroke, sending pleasure through your entire body."

    "He keeps one hand on it as he circles around, his other hand stroking his own member as it begins to leak a shiny black substance onto the ground."

    "The latex flesh of his dick becomes slicked with it before it disappears from sight, only for you to feel it press against you as he switched hands and began to stroke you with his pre-covered hand."

    "As you toes curl from the sheer stimulation you feel the sensitive shift seem to grow past your normal erection and when you look down you watch it grow before your eyes."

    "Every few strokes seems to add an inch to its length as the rubber seeped into the sensitive flesh and assimilated it."

    "Soon you had a cock similar to the ones the others stroked as you felt the other lizardman begin to push his into your tight hole.  With the aid of the corruptive lube he managed to pop his head in as you gasp in both pain in pleasure."

    "A soft warmth began to radiate from your anal walls as he gave you a second to adjust, only to have another one stroll up to you and present his groin to you."

    "You've already dived head first into this so you take the second cock and give it a lick, then another, and another.  As you do your tongue seems to lengthen out and you soon the feel of flesh on rubber becomes rubber on rubber as your able to coil around it with ease."

    "As you lean forward and allow the tapered head of the latex lizardman's shaft to push into your maw you feel your stance change."

    "You turn back to see that the rubber had already transformed your legs down to the knees and covered your thighs in shiny black scales before a pair of hands guided your mouth back to the needy tool in front of you."

    "It wasn't long before you find yourself spit-roasted between the two of them, your face transforming around the cock stuffed in your maw while your rear gets pounded by the other one behind you."

    "The others watch eagerly and some begin to get involved with one another as the corruptive rubber continues to spread over your body until you are completely covered in the same latex as the others."

    "You feel your hands and feet grow claws as your altered orifices stretch enough for you to deep throat the lizardman's cock while the other goes deeper inside you than you ever thought possible."

    "Lizardman" "Oh yeah, he's a keeper."

    "Suddenly everything began to grow fuzzy as your new tail began to wrap around his waist."

    "Lizardman" "I don't think he's going to last long though, gonna have to drag him once we're done."

    "While you're not sure what that means you're too overloaded with pleasure to care, and when you do cum the first time it's so intense that you black out, feeling only the cocks inside you until they did the same."

    "As they support your limp body the last thing you feel is them grabbing you by the chest and feet to move you somewhere..."

    jump transformed_lizardman #this is a conversion ending, go to corruption

label sprint_to_the_finish:

    "You're so close you decide to make a break for it, Mason and Don following behind you as you break any semblance of stealth for pure speed."

    "This attracts all the creatures of the nearby area and you can feel your heart pound in your chest as you lead the charge towards the apartment complex."

    "As you turn the corner you can see the door come into site and you feel your chest rise with the hope that you're going to make it!"

    "Suddenly as you turn the corner and make your way to the door you hear a loud shout behind you and look back just in time to see Don fall to the ground."

    "Don" "Keep going!"

    "As the monsters approach him he reaches into his pockets and in one fluid motion flings the keys at Mason, who catches them with one hand."

    "Don" "Rescue the others!"

    "The rubber creatures in pursuit of you are mere seconds away from reaching Don and you and Mason are close enough to the door you could almost touch it."

    "As much as you want to save Don you're pretty sure that going back for him would result in a fight you're not sure you can win, but on the other hand even if you got into the apartment you'd be a man down right away."

    "In the end though you only had a split second to decide as Mason runs with the keys to the door..."

    $ apartment_followed = True

    menu:

        "Try to save Don":
            jump a_heros_end #this is a bad end, go to badends

        "Continue to run for the apartment door":
            jump leave_don_behind

label leave_don_behind:

    "You turn and run towards the door and get to it just as one of the rubber lizardmen pounce on Don before he could get back up onto his feet."

    "As you sit and wait on the stairs while Mason gets the keys into the lock you can't help but watch as the rubber scales on the one that was on top of the man melted down onto him."

    "It was just like when this whole thing started, except you could now clearly watch as the rubber lizardman's body oozed over the human."

    "As Don reached out with a hand it had already turned shiny and black with a set of claws and scales while his face had partially grown a muzzle where the latex splashed onto it."

    "Before you could see anymore several more lizardmen dropped down in front of you, hissing loudly as they approached.  As you backed away you felt a hand grab you by the back of your clothes, Mason pulling you inside before slamming the bronze door shut and locking it."

    "Mason" "That should keep them out."

    "Mason knocks on the thick metal door."

    "Mason" "Even so we should probably get to Don's apartment as quickly as we can, who knows what might be in the building still."

    $ don_status = "converted"

    jump dons_apartment

label dons_apartment:

    "You finally arrive at Don's apartment after your harrowing adventure, eager to get the supplies you need and to get out before you have to deal with more of those rubber creatures."

    "Once you get to the proper number you take the keys and open the door, revealing a rather well-furnished and spacious accommodation."

    "True to Don's word it's stocked with enough food and drink to last you quite the journey, as well as some tools and other items that you can pack up with you."

    if don_status == "converted":

        "It feels strange being in an apartment without its owner, and as you wonder around you look at Mason's face and realize that he's likely thinking the same thing."

        "You scrounge around for something to eat as you take a breather and as you eat you look around as though you may find some semblance of sanity somewhere in this mess."

    else:

        "With the sun high in the sky still you all decide to take a break and Don cooks you and Mason something to eat with the perishable food that hadn't gone bad yet, which was actually quite a bit considering that his place still had power."

    "You try to turn on the television to see if anything is on the news, but strangely there was no signal at all.  It made you wonder what was going on with everywhere else, if it was as bad as what you had gone through or if it had been spared."

    "Had what happened to Kajira happened to the rest of the world as well?"

    "You look back at Mason and as he looked back you knew he had the same question you had, what to do next..."

    if apartment_followed:

        menu:

            "Quickly gear up and move":
                jump apartment_surrounded

            "Take a day or two to rest":
                jump apartment_living
    else:

        menu:

            "Quickly gear up and move":
                jump apartment_exodus

            "Take a day or two to rest":
                jump apartment_living

label apartment_living:

    "You decide that spending some time in what feels like a secured location wouldn't be such a bad idea, though you know your timetable is tight you shouldn't pass up the opportunity to rest and refresh yourself before the dangerous journey."

    if don_status == "converted":

        "Mason agrees with you and together the two of you add a few additional security measures just to make sure nothing will come sneaking in during the night."

    else:

        "The others agree and together the three of you add a few additional security measures just to make sure nothing will come sneaking in during the night."

    "Once you have the door as secured as you can you draw lots for who was going to take what, with you ending up getting the couch."

    "As you prepare yourself for the night you watch Mason fiddling with the channels on the television set, trying to see if there was anything on there that would give them an idea on what was happening with the world."

    "Mason" "I really don't like this at all [pov],"

    "Mason sighed and looked down at the floor."

    "Mason" "We can't be the only ones in the whole world that thought to hunker down when those creatures started to attack.  You'd think there'd be a military broadcast or something like that."

    if don_status == "converted":

        "You shrug your shoulders and after a few more minutes of tinkering Mason gives up his project and goes into the bedroom to sleep, leaving you alone."

        "It was something strange that there seemed to be no communication to the outside world, but at the moment the only thing you were concerned about was your survival."

    else:

        "Don" "Well it might not be a worldwide problem after all Mason, tt's very possible that this is a localized event and that whatever these creatures are managed to knock out the local communications hub."

        "Don" "With so many secured facilities around they decided to try and control the flow of information in and out of the island with it, so if that's down then we aren't going to get anything off a television or phone."

        "Mason" "Well damn..."

        "Mason clicks the television off"

        "Mason" "How do you know so much about that?"

        "Don" "That's my job, I was one of the engineers for that hub."

        "You continue to talk for a while and then they all decide to head to their respective spaces, Don taking his bed while Mason, who got the losing end of hte deal, settles in on the cot they folled out."

        "You just lay there on the couch and try to get to sleep, though it's difficult with everything you've seen already."

        "If it was this hard to get to an apartment a few blocks away, how are they ever going to get to the facility Mason talked about in the heart of downtown?"

        $ communications_relay = "known"

    "The next morning you wake up and get ready to go, gathering up all the supplies you can without weighing yourself down too much.  Mason comes out with his newest friend, a shotgun that was fully loaded."

    "Once you had everything you needed you eat what would likely be your last cooked meal for a while before unbarricading the door and heading back down the stairs."

    jump apartment_surrounded

label apartment_surrounded:

    "As you make your way down the stairs you hear something that causes you to pause, and when you look over at Mason he has stopped as well.  The two of you slowly continue to walk forward to scout the area as Mason has his gun up and at the ready."

    "When you get to the ground floor though you find it empty as usual, which meant that commotion was likely coming from outside the building."

    "You decide to go and take a look out of one of the windows near the back entrance while Mason took the front, and when you get there what you see sends your stomach plummeting to the ground."

    "Dozens of latex creatures had gathered around the apartment building, all of them sniffing the air and searching the area.  Several were right up against the door but with it being locked they merely looked around it."

    "With the sets of muscles you see it would likely be no problem for them to break down the door, so you decide to not give them a reason to do it as you slowly back away from the window to make sure you're not seen."

    "When you get to the stairwell Mason was already back and reported a similar scene at the front of the building."

    "Mason" "Looks like they intend to ambush us when we try to leave."

    "Mason" "Probably got the whole place surrounded, which means going out the front and back doors is not going to be a viable option.  We could try going to the roof and see if we can't maybe jump from one building to another, though that is rather risky all on its own."

    "Mason" "The other option is possibly investigating the basement of this place and see if there's anything we can do or use down there that will get us out of here."

    if don_status == "converted":

        "Mason looks at you and seemed to wait your input on where to go, even though you had just as much knowledge of the building as he did."

        "At this point you felt it was a fifty fifty shot, with the only thing you knew for sure was that going out the main doors would essentially be a suicide run."

        menu:

            "Go up to the rooftop":
                jump apartment_roof_ambush #this is a bad end, go to badends

            "Check out the basement":
                jump into_the_depths

            "Submit to the creatures":
                jump meeting_the_mob

    else:

        "At this point Don suddenly chimes in."

        "Don" "The basement might be the better option,"

        "Don" "I know for a fact that they led into the underground utility tunnels that connect a lot of these buildings together back when they tried to put everything on one self-sustaining grid."

        "Don" "It would easily be big enough for us to maneuver around as well and it's unlikely the monsters would think to access such a place."

        "While Don seemed to know what he was talking about the fact of being potentially trapped underground with a bunch of rubber monsters also crossed your mind.  The two looked at you and seemed to wait for your decision to help lead them where to go."

        menu:

            "Head to the rooftop":
                jump apartment_roof_ambush #this is a bad end, go to badends

            "Use the underground utility tunnels":
                jump into_the_depths

            "Submit to the creatures":
                jump meeting_the_mob

label meeting_the_mob:

    "As you look out at the growing crowd of rubber creatures out front you decide that it's time to just... face the music.  These creatures possibly now ruled the entire world, which means that all you're doing right now is trying to hold off of the evitable."

    "Plus it's not like it was a zombie apocalypse, at least you'd get a muscular reptile body in the process and potentially get laid... hopefully."

    "You hear a voice in the background telling you not to do this, but by now you've already undone the latch and slowly opened the door.  You expect to get pounced immediately but it seems that the creatures have sensed your submission and allow you to get down the stairs."

    "One of the creatures, a latex lizardman with bright blue shiny scales, breaks from the crowd and walks right up to you before looking down.  It growls, crossing his arms as you look at it in surprise."

    "Lizardman" "Strip."

    "Though you want to ask the creature so many questions now that you've just learned that it can talk you feel the command echo in your mind and you find yourself doing so.  When your clothes have fallen down around you the lizardman moved forward towards you."

    "You can feel his muscles press against your body as you feel the eyes of the others leering at your naked body.  Any questions, thoughts that you may have had when you heard the latex lizardman speak went out the window when you felt the thick dick press against your abdomen."

    "The rubber creature tells you to turn around and you find yourself doing so.  Almost immediately after you have done so you feel his latex hands on your body, mostly tending to your groin as you feel something slide between your butt cheeks."

    "The others begin to stroke themselves off watching as their leader begins to instill pleasure throughout your body.  There is no need to fight anymore, you've given in to them willingly and your reward is their unbridled lust being transferred to you."

    "It's only after you start to hear the squeak of rubber on rubber that you look down and realize that it is more than just pleasure that you're about to receive."

    "The rubber continues to spread down from your newly coated cock and between your legs.  You can feel it spread upwards and join with the liquid latex that had just started to move out from your butt where the creature's cock had started to penetrate."

    "While you think that it would just push inside you it seems to wait for something, which turns out to be the assimilating rubber poking into you and corrupting your insides."

    "Once it had you let out a gasp as he finally sticks his head and several inches of his reptilian member inside you, not in pain like you would imagine with such a forceful thrust but instead in pure pleasure as your rubberized muscles easily stretch to accommodate him."

    "There are cheers and hisses of delight as the latex lizardmen watch you continue to get converted, your human flesh quickly becoming covered by the shiny black substance."

    "The lizardman behind you continues to stroke you with one hand while the other hooks against your inner thigh to help push you back onto his cock which now slides in from tip to root.  Your entire body begins to tingle as the corruption spreads from both inside and outside."

    "As is rises up to your chest you begin to feel something leak from your nose and mouth before something pushes into your skull, a feeling of a foreign consciousness that whispers thoughts into your increasingly corrupted brain."

    "That combined with the intense pleasure is more than you can take and as just before you pass out you feel a pair of hands wrap around your chest to prevent yourself from falling..."

    jump corruption_start

label apartment_exodus:

    if don_status == "converted":

        "You quickly pack up as much gear as you can easily carry while Mason does the same.  When you ask what's the best way to go he looks at you in confusion, then scratches his head."

        "Mason" "You know... hadn't really thought that far ahead."

        "He looks around while you do the same, the possibilies before you all potentially dangerous."

        "Mason" "I suppose we should just hoof it through the streets, though that's quite the journey in itself through what I can only imagine is some heavily infested territory."

        "Mason" "I guess we can try the monorail too, that will take us right around to our destination and there's a station not too far from here."

    else:

        "You quickly pack up as much gear as you can easily carry while the other two do the same.  When you Mason and Don what they thought the best way to go is they look at each other, then Mason scratches his head."

        "Mason" "You know... hadn't really thought that far ahead."

        "Mason" "I suppose we should just hoof it through the streets, though that's quite the journey in itself through what I can only imagine is some heavily infested territory."

        "I guess we can try the monorail too, that will take us right around to our destination and there's a station not too far from here."

        "Don" "We could also go through the utility tunnels in the basement,"

        "You and Mason look back at Don who shrugs his shoulders at the sudden attention."

        "Don" "There is an access point in the building's basement and it goes through most of the city.  Plus most of the time they're sealed shut which means those monsters probably will not be down there."

        "Mason" "Well as long as I ain't getting chomped by a rubber alligator I suppose that sounds good."

        "Mason looks over at you."

    "Mason" "How bout you, any bright ideas before we make a decision?"

    if character_class == "merchant":

        "As you think about the best way to get through to the building in question you remember that the mall you work out of spans a lot of the middle of the city, which would likely be the most dangerous and have the highest concentration of creatures in it."

        "With your keys you could go into the interconnected shops and move through what you would imagine were still-secured stores until you got to the other side.  Then from there it would only be a short distance until you got to your destination."

    elif character_class == "researcher":

        "Suddenly you remember that one of the bigger and more secure areas of the city is the area commonly referred to as the research district."

        "While it would be unlikely that you could get into any of the buildings proper the area itself was rather well-fortified, and that you did have access too."

        "There was also an entire lab complex that serviced the needs of the researchers so they didn't have to leave, which meant if the building was still secure they could take that all the way to the other side."

        "Once there they would be much closer to their destination without being completely exposed."

    elif character_class == "performer":

        "Then it hit you; the boardwalk that you sometimes performed on ran down the entire length of the beach and bordered the downtown area on one side."

        "With the black rains happening so early in the morning you doubt there were many people there, and with the ocean on one side of you it meant that you were less likely to be ambushed."

        "Plus you knew the area by heart so there were a number of areas that you could use for cover or to rest should the journey take longer then you think."

        "Then once you got to the downtown side it was just a matter of walking into the city and moving a few blocks into it to reach the secured location."

    else:

        "You realize there is one way that you could go, the old shipyards that once bordered the city.  While it had been slated for demolition a few months ago the rusted warehouses and dry docks made an excellent place for the criminal element to hang out in."

        "You had a number of dealings there yourself so you knew the layout, and since only criminals hung out there it was unlikely that you'd run into a lot of those rubber monsters."

        "Only problem was that it was a bit out of the way, but from what Mason described the skyscraper in question is close to the shore and there were a number of boats available to take to get really close."

    "After a bit of discussion on the pros and cons of each choice your group finally makes a decision of where to do in order to reach the tower."

    menu:

        "Head through the utility tunnels" if don_status == "party":
            jump going_underground

        "Use the monorail system":
            jump monorail_station

        "Go the direct route on foot":
            jump mean_city_streets #this is a bad end, go to badends

        "Head through the outdoor mall" if character_class == "merchant":
            jump outdoor_mall_start

        "Go through the lab complex" if character_class == "researcher":
            jump lab_complex_start

        "Go through the boardwalk" if character_class == "performer":
            jump boardwalk_start

        "Go through the shipyards" if character_class == "criminal":
            jump shipyards_start

label into_the_depths:

    "As you and Mason walked down to the basement a feeling of dread began to rise up in your chest.  With no way to visibly turn up the light you rely on your flashlights in order to see in front of you."

    "The entire atmosphere was ominous as you get to the bottom floor, seeing that the entire area appeared to be storage for both the tenants and the apartment itself."

    "Even though you were sure that the apartment was sealed off you still felt like there could be more of those monsters around any corner."

    "The beam of your light shakes slightly as you glance from the metal doors and chicken wire that separates each stall before you finally reach the back where all the utilities are."

    "When you get there you realize that everything is fed from a set of pipes that come from a tunnel built into the foundation of the building.  You realize that there are likely a network of them, possibly the city's attempt to centralize its power and water supplies."

    "Either way it's a potential exit, one that you're ready to utilize.  Before you head down though Mason mentions that there's a lot of stuff in those stalls, potentially something useful if they don't mind taking the time to dig through it."

    "Though there are still the creatures outside the building they still seem to have not gotten in yet and it may be a good idea to take a look."

    "However there's also the chance they may rush the apartment and the basement which means you might get caught in a stall when they come done, but in the end you know you have to make a choice quickly."

    menu:

        "Enter the utility tunnels":
            jump going_underground

        "Search the stalls":
            jump rummage_sale #this is a bad end, go to badends

label going_underground:

    "As you begin to venture through the concrete and pipe filled passageways of the utility tunnels you are thankful that the emergency lights still worked, guiding your way as you slowly work your way through the maze of tunnels."

    "With no cell reception you have to rely on memory and your knowledge of the city's layout to keep yourself going in the proper direction."

    "Luckily Mason had a compass that helped keep you going as close to it as possible plus there were a number of signs that pointed to significant buildings in the area."

    "As the pipes began to grow thicker you realize that you're likely getting close to the larger buildings of the downtown area."

    "Before you can celebrate though you find that your path splits in two directions that are not close to where you need to go."

    "One of them had a sign pointing in that direction that said it was the way to the White Horizon building, a huge office skyscraper that was near the heart of downtown."

    "The other direction led to the Sanderson Solar Plant, which provided power for a lot of the city."

    "Mason" "Tough choice."

    "Mason" "Figures we couldn't get all the way to the front door, those corporate types probably didn't like the idea of someone potentially doing what we're doing."

    "Mason" "Still... the White Horizon building is pretty close to where we need to go but I can only imagine it's teeming with monsters."

    "Mason" "Sanderson Solar is quite a jaunt though and we'd have to come up only to head back into the city, but there'd likely be less of those creatures and we might get a better perspective of the situation out there.  What do you think [povname]?"

    if communications_relay == "known":

        "As you contemplate between the two you suddenly remember something and turn to Don, who had been quiet in the back as he held the baseball bat he was using as a weapon."

        "You ask him to confirm whether or not he worked at the communications relay and he gives you a look of question as he slowly nods."

        "Mason" "Oh... I see where you're going [povname]."

        "Don" "If I remember correctly that particular hub is located not terribly far from the power plant, and with both of them on the outskirts of the city there may be less of those creatures."

        "Mason" "That's a very big risk to take just to try and make a phone call."

        "Don" "We don't know how infested either of those sites are or the state of the communications hub... I might be good but if it's smashed to hell then we made a very long trip for nothing, though if it's still intact I can definitely do something about it."

        "Mason" "Fair enough."

        "Mason" "So which way are we going to go?"

    menu:

        "Head to the White Horizon building":
            jump white_horizon_start

        "Head to the Sanderson Solar Plant":
            jump sanderson_solar_start
